Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.storage
Class OWL2OWLCopier

    java.lang.Object
      edu.stanford.smi.protegex.owl.storage.KnowledgeBaseCopier
          edu.stanford.smi.protegex.owl.storage.OWL2OWLCopier

    public class OWL2OWLCopier

extends KnowledgeBaseCopier

A KnowledgeBaseCopier that can be used to generate a Jena OntModel from an existing OWLModel (especially from a database). Basically, the OntModel is populated by the JenaUpdater while the frames are copied from the source to the target OWLModel.

Author:
  Holger Knublauch

Field Summary
`static Logger` | `log`

Fields inherited from class edu.stanford.smi.protegex.owl.storage.KnowledgeBaseCopier
`doneSlots`

Constructor Summary
`OWL2OWLCopier(OWLModel source, OWLModel target)`

Method Summary
`protected void` | `createClses()`
`protected void` | `createFacetOverrides(edu.stanford.smi.protege.model.Cls oldCls)`
`protected edu.stanford.smi.protege.model.Instance` | `getNewInstance(edu.stanford.smi.protege.model.Instance oldInstance)`
`void` | `run()`
`protected void` | `setInitialOwnSlotValues(edu.stanford.smi.protege.model.Instance oldInstance)` Makes sure that Restrictions are immediately initialized by their facet overrides, so that the corresponding OntClass can be generated.

Methods inherited from class edu.stanford.smi.protegex.owl.storage.KnowledgeBaseCopier
`addExtraDirectTypes, cloneValues, createCls, createInstance, createSlot, getNewCls, getNewSlot, setDirectType, setOwnSlotValues, setValueType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final transient Logger log

Constructor Detail

### OWL2OWLCopier

    public OWL2OWLCopier(OWLModel source,
                         OWLModel target)

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `KnowledgeBaseCopier`

### createClses

    protected void createClses()

  Overrides:
    `createClses` in class `KnowledgeBaseCopier`

### createFacetOverrides

    protected void createFacetOverrides(edu.stanford.smi.protege.model.Cls oldCls)

  Overrides:
    `createFacetOverrides` in class `KnowledgeBaseCopier`

### getNewInstance

    protected edu.stanford.smi.protege.model.Instance getNewInstance(edu.stanford.smi.protege.model.Instance oldInstance)

  Overrides:
    `getNewInstance` in class `KnowledgeBaseCopier`

### setInitialOwnSlotValues

    protected void setInitialOwnSlotValues(edu.stanford.smi.protege.model.Instance oldInstance)

  Makes sure that Restrictions are immediately initialized by their facet overrides, so that the corresponding OntClass can be generated.

  Overrides:
    `setInitialOwnSlotValues` in class `KnowledgeBaseCopier`
  Parameters:
    `oldInstance` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.